Subject: [PATCH] Open new previews when they cover point
From: Paul Nelson <[email-masked]>
To: [email-masked]
Date: Wed, 17 Apr 2024 22:55:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:
- Create test.tex with a valid equation environment.
- Put the point inside the equation environment.
- preview-buffer

When the preview generates, the point is ejected from the equation
environment due to the new overlay.

With this patch, the preview instead temporarily opens, as if the user
had entered it.

I view the latter behavior as "clearly" better, but if I missed some
advantage of the current approach or if my suggestion is deemed
subjective, then I would be happy to resubmit the patch with this
behavior enabled by a user option.

Thanks, best,

Paul